Net::LDAP::Control::DontUseCopy(3)

NAME
Net::LDAP::Control::DontUseCopy - LDAPv3 Don't Use Copy control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::DontUseCopy;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $nocopy = Net::LDAP::Control::DontUseCopy->new( critical => 1 );

 $msg = $ldap->search( base => 'o=University of Michigan,c=US',
                       filter => '(cn=Barbara Jensen)'
                       control  => [ $nocopy ] );

 die "error: ",$msg->code(),": ",$msg->error()  if ($msg->code());

DESCRIPTION
"Net::LDAP::Control::DontUseCopy" provides an interface for the creation and manipulation of objects that represent the "DontUseCopy" control as described by RFC 6171.

It allows the client to specify that copied information should not be used in providing the service.

The control is appropriate for LDAP search and compare operations [RFC4511] and inappropriate for all other operations.

Its criticality must be TRUE; it has no value.

There is no corresponding response control.

CONSTRUCTOR ARGUMENTS
Since the "DontUseCopy" control does not have any values, only the constructor arguments described in Net::LDAP::Control are supported

METHODS
As there are no additional values in the control, only the methods in Net::LDAP::Control are available for "Net::LDAP::Control::DontUseCopy" objects.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2014 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.